Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	0.6.20
Name:		duplicity
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Backup
URL:		http://www.nongnu.org/duplicity/
Source:		http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz
Source1:	http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz.sig
# (misc) patch was sent upstream : https://bugs.launchpad.net/duplicity/+bug/518629
Patch0:		patch-64bits.patch
BuildRequires:	librsync-devel
BuildRequires:	python-devel
Requires:	gnupg
Requires:	ncftp
Requires:	openssh-clients
Requires:	python-boto
Requires:	python-gdata
Requires:	python-GnuPG-Interface
Requires:	rsync

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep

%setup -q
%patch0 -p0

%build
%{__python} setup.py build  

%install
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --prefix=%{buildroot}%{_prefix} 

#handle docs in files section
rm -Rf %{buildroot}%{_docdir}/%{name}-%{version}

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG README
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{py_platsitedir}/duplicity
%{py_platsitedir}/*.egg-info



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.6.20-2.mga3
+ Revision: 349176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.6.20-1.mga3
+ Revision: 318291
- new upstream

* Sat Aug 11 2012 wally <wally> 0.6.19-1.mga3
+ Revision: 280620
- new version 0.6.19
- clean .spec a bit

* Mon Mar 05 2012 philippem <philippem> 0.6.18-1.mga2
+ Revision: 218501
- Update to 0.6.18.

* Sat Dec 17 2011 philippem <philippem> 0.6.17-2.mga2
+ Revision: 183143
+ rebuild (emptylog)

* Sat Nov 26 2011 philippem <philippem> 0.6.17-1.mga2
+ Revision: 172039
- Update to 0.6.17

  + dmorgan <dmorgan>
    - New version 0.6.15

* Sat Apr 16 2011 philippem <philippem> 0.6.13-1.mga1
+ Revision: 86787
- new upstream

* Thu Feb 24 2011 philippem <philippem> 0.6.11-2.mga1
+ Revision: 58811
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 0.6.11-1.mga1
+ Revision: 58447
- imported package duplicity

